Game Develop Core: gd::EventsEditorItemsAreas Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
gd::EventsEditorItemsAreas Class Reference
Events Editor related classes

Allow events to indicate where is displayed an instruction or parameter. More...

`#include <EventsEditorItemsAreas.h>`

## Public Member Functions

void | AddInstructionArea (wxRect area, gd::InstructionItem &instruction)
| Notify the editor there is an instruction in this area.
void | AddParameterArea (wxRect area, ParameterItem &parameter)
| Notify the editor there is a parameter in this area.
void | AddEventArea (wxRect area, gd::EventItem &event)
| Notify the editor there is an event in this area.
void | AddFoldingItem (wxRect area, FoldingItem &event)
| Notify the editor there is a folding button in this area.
void | AddInstructionListArea (wxRect area, InstructionListItem &item)
| Notify the editor there is a list in this area.
bool | IsOnEvent (int x, int y)
| True if a point is on an event.
EventItem | GetEventAt (int x, int y)
| Return event at point (x,y). Be sure there is an event here using IsOnEvent(x,y);.
wxRect | GetAreaOfEventAt (int x, int y)
| Return the rectangle used by the event at point(x,y).
bool | IsOnInstruction (int x, int y)
| True if a point is on an instruction.
gd::InstructionItem | GetInstructionAt (int x, int y)
| Return event at point (x,y). Be sure there is an event here using IsOnInstruction(x,y);.
bool | IsOnInstructionList (int x, int y)
| True if a point is on an instruction list.
InstructionListItem | GetInstructionListAt (int x, int y)
| Return event at point (x,y). Be sure there is an event here using IsOnEvent(x,y);.
wxRect | GetAreaOfInstructionAt (int x, int y)
| Return the rectangle used by the instruction at point(x,y).
wxRect | GetAreaOfInstructionListAt (int x, int y)
| Return the rectangle used by the list at point(x,y).
bool | IsOnParameter (int x, int y)
| True if a point is on an event.
ParameterItem | GetParameterAt (int x, int y)
| Return event at point (x,y). Be sure there is an event here using IsOnEvent(x,y);.
wxRect | GetAreaOfParameterAt (int x, int y)
| Return the rectangle used by the parameter at point(x,y).
bool | IsOnFoldingItem (int x, int y)
| True if a point is on an event.
FoldingItem | GetFoldingItemAt (int x, int y)
| Return event at point (x,y). Be sure there is an event here using IsOnEvent(x,y);.
void | Clear ()
| Clear all areas ( typically before redraw )
| EventsEditorItemsAreas ()
| Default constructor doing nothing.
virtual | ~EventsEditorItemsAreas ()
| Default destructor doing nothing.

## Public Attributes

std::vector< std::pair< wxRect, EventItem > > | eventsAreas
std::vector< std::pair< wxRect, gd::InstructionItem > > | instructionsAreas
std::vector< std::pair< wxRect, ParameterItem > > | parametersAreas
std::vector< std::pair< wxRect, FoldingItem > > | foldingAreas
std::vector< std::pair< wxRect, InstructionListItem > > | instructionListsAreas

## Detailed Description

Allow events to indicate where is displayed an instruction or parameter.

Events editor also uses this internally to indicate where events are displayed.

The documentation for this class was generated from the following files:

- EventsEditorItemsAreas.h
- EventsEditorItemsAreas.cpp